/*
   Simple Disk Catalog .Net - The OpenSource Disk Catalog Software now for .Net!
   Author: Bruno Freitas - 10/2007
   Contact: bootsector@ig.com.br
 
   Copyright (c) 2005 Bruno Freitas

   Permission is hereby granted, free of charge, to any person obtaining a copy of
   this software and associated documentation files (the "Software"), to deal in 
   the Software without restriction, including without limitation the rights to 
   use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
   of the Software, and to permit persons to whom the Software is furnished to do 
   so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in all 
   copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
   SOFTWARE.
*/

using System;
using System.Collections.Generic;
using System.Text;

namespace SDC.Net {
    public class FileData {
        private int ID, parentID, diskID;
        private String name;
        private long size;
        private DateTime dateModified;
        private bool isDir;

        public FileData(int ID, int parentID, int diskID, String name, long size, DateTime dateModified, bool isDirectory) {
            this.ID = ID;
            this.parentID = parentID;
            this.diskID = diskID;
            this.name = name;
            this.size = size;
            this.dateModified = dateModified;
            this.isDir = isDirectory;
        }

        public int getID() {
            return ID;
        }

        public int getParentID() {
            return parentID;
        }

        public String getName() {
            return name;
        }

        public long getSize() {
            return size;
        }

        public int getDiskID() {
            return diskID;
        }

        public DateTime getDateModified() {
            return dateModified;
        }

        public bool isDirectory() {
            return isDir;
        }

        public static String getFormatedFileSize(long size) {
            String result;

            if(size > 1073741824) { // 1GB
                result = ((double)(size / 1073741824.0)).ToString("#,##0.00") + " GB";
            } else if(size > 1048576) { //1MB
                result = ((double)(size / 1048576.0)).ToString("#,##0.00") + " MB";
            } else if(size > 1024) { // 1KB
                result = ((double)(size / 1024.0)).ToString("#,##0.00") + " KB";
            } else {
                result = size.ToString() + " Bytes";
            }

            return result;
        }
    }
}
