/******************************************************************************/
/****         Generated by IBExpert 2007.02.22 2/10/2007 22:03:05          ****/
/******************************************************************************/

SET SQL DIALECT 3;

SET NAMES NONE;

CREATE DATABASE 'sdc.fdb'
USER 'SYSDBA' PASSWORD 'masterkey'
PAGE_SIZE 16384
DEFAULT CHARACTER SET NONE;



/******************************************************************************/
/****                              Generators                              ****/
/******************************************************************************/

CREATE GENERATOR GEN_DISKS;



/******************************************************************************/
/****                                Tables                                ****/
/******************************************************************************/



CREATE TABLE COMPRESSEDFILES (
    DISKID     INTEGER NOT NULL,
    ID         INTEGER NOT NULL,
    SEQ        INTEGER NOT NULL,
    NAME       VARCHAR(260),
    DIRECTORY  VARCHAR(1024)
);


CREATE TABLE DISKS (
    DISKID          INTEGER NOT NULL,
    VOLUMENAME      VARCHAR(50),
    CATALOGNAME     VARCHAR(100),
    SERIALNUMBER    VARCHAR(9),
    MEDIATYPE       VARCHAR(50),
    CAPACITY        BIGINT,
    USEDSPACE       BIGINT,
    FREESPACE       BIGINT,
    ADDITIONALINFO  VARCHAR(4096)
);


CREATE TABLE FILES (
    DISKID        INTEGER NOT NULL,
    ID            INTEGER NOT NULL,
    PARENTID      INTEGER,
    NAME          VARCHAR(260),
    FILESIZE      BIGINT,
    DATEMODIFIED  TIMESTAMP,
    ISDIRECTORY   INTEGER
);




/******************************************************************************/
/****                             Primary Keys                             ****/
/******************************************************************************/

ALTER TABLE COMPRESSEDFILES ADD CONSTRAINT PK_COMPRESSEDFILES PRIMARY KEY (DISKID, ID, SEQ);
ALTER TABLE DISKS ADD CONSTRAINT PK_DISKS PRIMARY KEY (DISKID);
ALTER TABLE FILES ADD CONSTRAINT PK_FILES PRIMARY KEY (DISKID, ID);


/******************************************************************************/
/****                             Foreign Keys                             ****/
/******************************************************************************/

ALTER TABLE COMPRESSEDFILES ADD CONSTRAINT FK_COMPRESSEDFILES_FILES FOREIGN KEY (DISKID, ID) REFERENCES FILES (DISKID, ID) ON DELETE CASCADE;
ALTER TABLE FILES ADD CONSTRAINT FK_FILES_DISKS FOREIGN KEY (DISKID) REFERENCES DISKS (DISKID) ON DELETE CASCADE;


/******************************************************************************/
/****                               Indices                                ****/
/******************************************************************************/

CREATE INDEX IDX_FILES_DATEMODIFIED ON FILES (DATEMODIFIED);
CREATE INDEX IDX_FILES_DISKID ON FILES (DISKID);
CREATE INDEX IDX_FILES_PARENTID ON FILES (PARENTID);
CREATE INDEX IDX_FILES_SIZE ON FILES (FILESIZE);
